This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475386 - (CVE-2017-11569) CVE-2017-11569 fontforge: Heap-buffer over-read in readttfcopyrights function
CVE-2017-11569 fontforge: Heap-buffer over-read in readttfcopyrights function
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170614,reported=2...
: Security
Depends On: 1475398
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 10:35 EDT by Andrej Nemec
Modified: 2017-07-31 04:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-26 10:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-07-26 10:35:13 EDT
FontForge 20161012 is vulnerable to a heap-based buffer over-read in readttfcopyrights (parsettf.c) resulting in DoS via a crafted otf file.

Upstream issue:

https://github.com/fontforge/fontforge/issues/3093
Comment 1 Andrej Nemec 2017-07-26 10:46:33 EDT
Created fontforge tracking bugs for this issue:

Affects: fedora-all [bug 1475398]
Comment 2 Parag Nemade 2017-07-31 04:27:17 EDT
Fixed in rawhide build fontforge-20170731-1.fc27

Note You need to log in before you can comment on or make changes to this bug.